# Uses of Interface
org.eclipse.team.ui.history.IHistoryPageSource

Packages that use IHistoryPageSource
Package
Description
org.eclipse.team.ui
Provides basic support for managing Team providers.
org.eclipse.team.ui.history
Application programming interfaces for working with history.

## Uses of IHistoryPageSource in org.eclipse.team.ui

Methods in org.eclipse.team.ui with parameters of type IHistoryPageSource
Modifier and Type
Method
Description
`static IHistoryView`
TeamUI.`showHistoryFor(IWorkbenchPage page, Object input, IHistoryPageSource pageSource)`
Shows a history view containing the given input and returns a handle to the view or `null` if no history was available for the given input.

## Uses of IHistoryPageSource in org.eclipse.team.ui.history

Classes in org.eclipse.team.ui.history that implement IHistoryPageSource
Modifier and Type
Class
Description
`class`
`ElementLocalHistoryPageSource`
A history page source that can create history pages for a sub-element of a file.
`class`
`HistoryPageSource`
Abstract HistoryPageSource class.
Methods in org.eclipse.team.ui.history that return IHistoryPageSource
Modifier and Type
Method
Description
`static IHistoryPageSource`
HistoryPageSource.`getHistoryPageSource(Object object)`
Convenience method that returns the history page source for the given object.
Constructors in org.eclipse.team.ui.history with parameters of type IHistoryPageSource
Modifier
Constructor
Description
``
`HistoryPageCompareEditorInput(CompareConfiguration configuration, IHistoryPageSource pageSource, Object object)`
Create a history page compare editor input for the given page and object.
``
`HistoryPageSaveablePart(Shell shell, CompareConfiguration configuration, IHistoryPageSource pageSource, Object object)`
Deprecated.